Error installing OperationTheatre module

Application Name: Operation Theatre module Version Number: openmrs-module-operationtheater -1.0-SNAPSHOT.omod Question: We are facing this issue when we try to install the latest omod of application, is there a way to use a different class loader to load classes of this module? java.lang.LinkageError: loader constraint violation: loader (instance of org/openmrs/util/OpenmrsClassLoader)previously initiated loading for a different type with name “org/joda/time/DateTime”

Which version of the OpenMRS platform are you using? Where is the source of that module?

We are openmrs 1.12. Source code for that module is here

Can you paste the entire log at pastebin.com?

when tried with openmrs 2.0 version and the following omods: coreapps-1.9.omod htmlformentry-3.3.1.omod operationtheater-1.0-SNAPSHOT.omod (Built locally with latest commit) appointmentscheduling-1.7.1-SNAPSHOT.omod (Built locally with latest commit) uiframework-3.8.omod getting this error http://pastebin.com/wQbNWTRC How can I get around the spring bean creation exceptions, am I missing something?

Can i look at the log when you try this module alone without any others?

The log for operationTheaterModule with the required dependencies is here http://pastebin.com/Xazf3q3H. In pom.xml I made scope “provided” for joda-time dependency

Can i look at the compiled .omod?